PETSc version 3.15.5
Fix/Edit manual page

# DMRefineHierarchy_Moab

Generate a multi-level DM hierarchy by succesively refining a coarse mesh.

### Synopsis

    PETSC_EXTERN PetscErrorCode  DMRefineHierarchy_Moab(DM dm, PetscInt nlevels, DM dmf[])

Collective

### Input Parameter

| dm | - The DMMoab object

### Output Parameter

| nlevels | - The number of levels of refinement needed to generate the hierarchy
| dmf | - The DM objects after successive refinement of the hierarchy

### Level

beginner

### Location

src/dm/impls/moab/dmmbmg.cxx
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages